import pygame,os,globs

class SoundMan:
	
	def __init__(self):
		try:
			pygame.mixer.init()
			self.noSound = False
		except:
			self.noSound = True
		self.sounds = {}
	
	def play(self,snd):
		if self.noSound:
			return
		s = self.sounds.get(snd)
		if not s:
			path = os.path.join(globs.mediaPath,snd)
			s = pygame.mixer.Sound(path)
			self.sounds[snd] = s
		s.play()

sm = SoundMan()