from random import *
import globs
from image import im
from map import Cell
import pygame

def r1(map,x,y):
	n = 0
	for dx in range(-1,2):
		for dy in range(-1,2):
			if 0 <= x+dx < globs.WIDTH and 0 <= y+dy <globs.HEIGHT:
				n += map[x+dx][y+dy]
			else:
				n += 1
	return n

def r2(map,x,y):
	n = r1(map,x,y)-1
	for dx in [-2,0,2]:
		for dy in [-2,0,2]:
			if 0 <= x+dx < globs.WIDTH and 0 <= y+dy <globs.HEIGHT:
				n += map[x+dx][y+dy]
			else:
				n += 1
	return n


def cavernGen(state,cells):
	map = []
	cp = []
	#init
	for x in range(globs.WIDTH):
		map.append([])
		cp.append([])
		for y in range(globs.HEIGHT):
			map[x].append(1 if randint(0,100) < 45 else 0)
			cp[x].append(0)
	#cell auto
	for i in range(4):
		for x,col in enumerate(map):
			for y,cell in enumerate(col):
				n = r1(map,x,y)
				n2 = r2(map,x,y)
				if n >= 5 or n2 == 1:
					cp[x][y] = 1
				else:
					cp[x][y] = 0
		map = cp
	for i in range(3):
		for x,col in enumerate(map):
			for y,cell in enumerate(col):
				n = r1(map,x,y)
				if n >= 5:
					cp[x][y] = 1
				else:
					cp[x][y] = 0
		map = cp
	for x,col in enumerate(map):
		for y,cell in enumerate(col):
			wall = "wall" if cell else "floor"
			cells[x][y] = Cell(state,wall)
	
if __name__ == "__main__":
	cavernGen()