from random import *

debugMode = True

#path for image, sound and text
from os import path
mediaPath = path.normpath(path.join(path.abspath(path.dirname(__file__)), '..', 'media'))

#constants
CELLW = 10
CELLH = 15
WIDTH = 80
HEIGHT = 30

#text colors
dialogueColor = (200,100,0)
combatColor = (128,0,0)
itemColor = (0,128,255)

#adjectives
humanAdjs = ["pale","nervous","tall","thin","bearded","smelly","ugly",
			"redhead","dapper","pugnacious","brutish","curly-haired",
			"well read","myopic","inebriated"]
animalAdjs = ["huge","drooling","foul smelling","possibly rabid",
			"beady eyed"]
gemAdjs = ["pretty","shiny","valuable","glittering","gleaming"]

#key bindings for mouvment
from pygame import *
moves =[(K_k,(0,-1)),
		(K_j,(0,1)),
		(K_l,(1,0)),
		(K_h,(-1,0)),
		(K_UP,(0,-1)),
		(K_DOWN,(0,1)),
		(K_RIGHT,(1,0)),
		(K_LEFT,(-1,0)),
		(K_y,(-1,-1)),
		(K_u,(1,-1)),
		(K_b,(-1,1)),
		(K_n,(1,1))]

#tiles
from image import im
from text import tm
im["?"] = tm.tile('?',(255,0,255))
#people
im["hero"] = tm.tile('@',(255,255,255))
im["deadHero"] = tm.tile('@',(200,0,0))
im["foreman"] = tm.tile("f",(200,20,50))
im["guard"] = tm.tile("G",(255,0,0))
im["slave"] = tm.tile("s",(50,100,10))
im["dog"] = tm.tile("d",(128,64,0))
#map
im["wall0"] = tm.tile("#",(0,70,77))
im["wall1"] = tm.tile("#",(0,110,120))
im["damagedWall"] = tm.tile("#",(128,128,200))
im["ground0"] = tm.tile(".",(100,100,100))
im["ground1"] = tm.tile(",",(100,100,100))
im["ground2"] = tm.tile("`",(100,100,100))
im["ground3"] = tm.tile("'",(100,100,100))
im["dugout"] = tm.tile("~",(128,128,200))
im["hole"] = tm.tile("O",(50,50,50))
im["stairs"] = tm.tile("<",(70,70,70))
im["downstairs"] = tm.tile(">",(70,70,70))
#items
im["battery"] = tm.tile("(",(250,200,100))
im["mine"] = tm.tile("^",(255,0,0))
im["medicalHerbs"] = tm.tile("%",(0,100,0))
im["whip"] = tm.tile(")",(128,64,0))
im["knife"] = tm.tile(")",(102,102,102))
im["gem0"] = tm.tile("*",(randint(50,255),randint(50,255),randint(50,255)))
im["gem1"] = tm.tile("*",(randint(50,255),randint(50,255),randint(50,255)))
im["gem2"] = tm.tile("*",(randint(50,255),randint(50,255),randint(50,255)))
im["gem3"] = tm.tile("*",(randint(50,255),randint(50,255),randint(50,255)))
numGems = 4