import pygame
from menustate import MenuState

def run():
	pygame.init()
	clock = pygame.time.Clock()
	pygame.key.set_repeat(100,100)
	screen = pygame.display.set_mode((800,600))
	pygame.display.set_caption("Anathema RL")
	
	quit = False
	state = MenuState()
	
	while not quit:
		keys = []
		for event in pygame.event.get():
			if event.type == pygame.QUIT:
				quit = True
			if event.type == pygame.KEYDOWN:
				keys.append(event.key)
		state = state.tick(keys)
		if not state:
			quit = True
		else:
			state.display(screen)
		pygame.display.update()
		clock.tick(30)

if __name__ == "__main__":
	run()