from random import *
import pygame
import globs
from image import im
from text import tm

class MenuState:

	def __init__(self):
		self.img = im["menu.png"]
	
	def tick(self,keys):
		if pygame.K_ESCAPE in keys:
			return None
		if pygame.K_RETURN in keys:
			from playstate import PlayState
			return PlayState()
		return self
	
	def display(self,screen):
		screen.blit(self.img,(0,0))

class VictoryState:

	def __init__(self,gems):
		self.img = im["victory.png"].copy()
		for gem in gems:
			x = randint(75,125)
			y = randint(445,515)
			self.img.blit(gem,(x,y))
		self.img.blit(tm.get("Score: %i"%len(gems),(255,0,0)),(10,570))
	
	def tick(self,keys):
		if pygame.K_ESCAPE in keys:
			return MenuState()
		if pygame.K_RETURN in keys:
			return MenuState()
		return self
	
	def display(self,screen):
		screen.blit(self.img,(0,0))